Summary:	An open relay checker 
Name:		smtprc
Version:	2.0.3
Release:	%mkrel 4
License:	GPL
Group:		Monitoring
URL:		http://smtprc.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
BuildRequires:	perl
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
SmtpRC is a fully configurable multithreaded open mail relay scanner/checker.
It can scan large networks for open relays and output the results to a web
page. It is intended for Systems Administrators to check IP blocks under their
control.

%package	frontend
Summary:	A perl-Tk frontend for %{name}
Group:		Monitoring
Requires:	perl-Tk
Requires:	%{name} = %{version}
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description	frontend
A perl-Tk frontend for %{name}

SmtpRC is a fully configurable multithreaded open mail relay scanner/checker.
It can scan large networks for open relays and output the results to a web
page. It is intended for Systems Administrators to check IP blocks under their
control.

%prep

%setup -q -n %{name}-%{version} -a1

# instead of a patch
perl -pi -e "s|/usr/local/etc|/etc|g" *
perl -pi -e "s|/usr/local/bin\b|%{_bindir}|g" *
perl -pi -e "s|/usr/local/share\b|%{_datadir}|g" *
perl -pi -e "s|/usr/local/man\b|%{_mandir}|g" *
perl -pi -e "s|/usr/local/apache/htdocs\b|/var/www/html/%{name}|g" *
perl -pi -e "s|/www/htdocs|/var/www/html|g" *
perl -pi -e "s|/usr/local/doc|%{_docdir}/%{name}-%{version}|g" *
perl -pi -e "s|/use/local|%{_prefix}|g" *

%build

%make CFLAGS="%{optflags} -Wall"

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_liconsdir}
install -d %{buildroot}/var/www/html/%{name}

install -m755 %{name} %{buildroot}%{_bindir}/
install -m755 g%{name} %{buildroot}%{_bindir}/

install -m644 auto.conf %{buildroot}%{_sysconfdir}/%{name}/
install -m644 email.tmpl %{buildroot}%{_sysconfdir}/%{name}/
install -m644 rcheck.conf %{buildroot}%{_sysconfdir}/%{name}/

install -m644 %{name}.1 %{buildroot}%{_mandir}/man1/
install -m644 g%{name}.1 %{buildroot}%{_mandir}/man1/

install -m644 g%{name}16x16.png %{buildroot}%{_miconsdir}/%{name}-frontend.png
install -m644 g%{name}32x32.png %{buildroot}%{_iconsdir}/%{name}-frontend.png
install -m644 g%{name}48x48.png %{buildroot}%{_liconsdir}/%{name}-frontend.png


# XDG menu
install -d %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}-frontend.desktop << EOF
[Desktop Entry]
Name=%{name}-frontend
Comment=An open relay checker 
Exec=g%{name}
Icon=%{name}-frontend
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-System-Monitoring;System;Monitor;
EOF

%if %mdkversion < 200900
%post frontend
%update_menus
%update_desktop_database
%endif

%if %mdkversion < 200900
%postun frontend
%clean_menus
%clean_desktop_database
%endif

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS CHANGELOG FAQ README
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/auto.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/email.tmpl
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/rcheck.conf
%dir %{_sysconfdir}/%{name}/
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0644,root,root) %{_mandir}/man1/%{name}.1*

%files frontend
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/g%{name}
%attr(0644,root,root) %{_mandir}/man1/g%{name}.1*
%{_miconsdir}/%{name}-frontend.png
%{_iconsdir}/%{name}-frontend.png
%{_liconsdir}/%{name}-frontend.png
%dir /var/www/html/%{name}
%{_datadir}/applications/*.desktop




%changelog
* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.3-4mdv2009.0
+ Revision: 260859
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.3-3mdv2009.0
+ Revision: 252669
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.0.3-1mdv2008.1
+ Revision: 140829
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Jan 26 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.3-1mdv2007.0
+ Revision: 113957
- Import smtprc

* Fri Jan 26 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.3-1
- 2.0.3
- fix the xdg menu stuff

* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-4mdk
- rebuild

* Sat Oct 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.7-3mdk
- rpmbuildupdated

